SeExpr

Public Member Functions | Public Attributes | List of all members
Editable Struct Referenceabstract

`#include <Editable.h>`

Inheritance diagram for Editable:

## Public Member Functions
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()
virtual bool | parseComment (const std::string &comment)=0
| parses a comment. if false is returned then delete the control from the editable More...
virtual std::string | str () const
virtual void | appendString (std::stringstream &stream) const =0
virtual bool | controlsMatch (const Editable &) const =0

## Public Attributes
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 40 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ Editable()

Editable::Editable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 44 of file Editable.h.

## ◆ ~Editable()

virtual Editable::~Editable | ( |  | ) |
| inline virtual

Definition at line 51 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

virtual void Editable::appendString | ( | std::stringstream & | stream | ) | const
| pure virtual

Implemented in DeepWaterEditable, ColorSwatchEditable, AnimCurveEditable, GenericCurveEditable< TVAL >, StringEditable, VectorEditable, and NumberEditable.

Referenced by EditableExpression::getEditedExpr().

## ◆ controlsMatch()

virtual bool Editable::controlsMatch | ( | const Editable & |  | ) | const
| pure virtual

Implemented in DeepWaterEditable, ColorSwatchEditable, AnimCurveEditable, GenericCurveEditable< TVAL >, StringEditable, VectorEditable, and NumberEditable.

Referenced by EditableExpression::controlsMatch(), and EditableExpression::updateString().

## ◆ parseComment()

virtual bool Editable::parseComment | ( | const std::string & | comment | ) |
| pure virtual

parses a comment. if false is returned then delete the control from the editable

Implemented in ColorSwatchEditable, AnimCurveEditable, StringEditable, VectorEditable, NumberEditable, DeepWaterEditable, and GenericCurveEditable< TVAL >.

Referenced by EditableExpression::setExpr().

## ◆ str()

virtual std::string Editable::str | ( |  | ) | const
| inline virtual

Reimplemented in DeepWaterEditable, ColorSwatchEditable, AnimCurveEditable, GenericCurveEditable< TVAL >, StringEditable, VectorEditable, and NumberEditable.

Definition at line 55 of file Editable.h.

## ◆ updatePositions()

void Editable::updatePositions | ( | const Editable & | other | ) |
| inline

Definition at line 46 of file Editable.h.

References endPos, and startPos.

Referenced by EditableExpression::updateString().

## Member Data Documentation

## ◆ endPos

int Editable::endPos

Definition at line 42 of file Editable.h.

Referenced by EditableExpression::getEditedExpr(), EditableExpression::setExpr(), and updatePositions().

## ◆ name

std::string Editable::name

Definition at line 41 of file Editable.h.

Referenced by NumberEditable::controlsMatch(), VectorEditable::controlsMatch(), StringEditable::controlsMatch(), ExprControl::ExprControl(), StringEditable::parseComment(), NumberEditable::str(), VectorEditable::str(), StringEditable::str(), GenericCurveEditable< TVAL >::str(), ColorSwatchEditable::str(), and DeepWaterEditable::str().

## ◆ startPos

int Editable::startPos

Definition at line 42 of file Editable.h.

Referenced by EditableExpression::getEditedExpr(), and updatePositions().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h